%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: A command that removes accents
Name: unac
Version: 1.8.0
Release: %mkrel 4
License: GPLv2+
Group: Text tools
Source: http://ftp.de.debian.org/debian/pool/main/u/unac/unac_%version.orig.tar.gz
Patch1: unac-1.8.0-automake-1.13.patch
URL: http://www.nongnu.org/unac/
BuildRequires: gettext-devel

%description
unac is a C library and command that remove accents from a string.
For instance the string t will become ete.  It provides a command
line interface that removes accents from a string given in argument
(unaccent command). In the library function and the command, the
charset of the input string is specified as an argument. The input
string is converted to UTF-16 using iconv(3), accents are stripped and
the result is converted back to the original charset. The iconv --list
command on GNU/Linux will show all charset supported.

%package -n %libname
Group:System/Libraries
Summary: A C library that removes accents

%description -n %libname
unac is a C library and command that remove accents from a string.
For instance the string t will become ete.  It provides a command
line interface that removes accents from a string given in argument
(unaccent command). In the library function and the command, the
charset of the input string is specified as an argument. The input
string is converted to UTF-16 using iconv(3), accents are stripped and
the result is converted back to the original charset. The iconv --list
command on GNU/Linux will show all charset supported.

%package -n %develname
Group: Development/C
Summary: A C library that removes accents
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
unac is a C library and command that remove accents from a string.
For instance the string t will become ete.  It provides a command
line interface that removes accents from a string given in argument
(unaccent command). In the library function and the command, the
charset of the input string is specified as an argument. The input
string is converted to UTF-16 using iconv(3), accents are stripped and
the result is converted back to the original charset. The iconv --list
command on GNU/Linux will show all charset supported.

%prep
%setup -q -n %name-%version.orig
%patch1 -p1 -b .automake-1_13
touch config.rpath

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc ChangeLog README
%{_bindir}/unaccent
%_mandir/man1/unaccent.1*

%files -n %libname
%_libdir/libunac.so.%{major}*

%files -n %develname
%_libdir/libunac*so
%_libdir/pkgconfig/unac.pc
%{_includedir}/unac.h
%{_mandir}/man3/unac.3*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.8.0-4.mga3
+ Revision: 385056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.8.0-3.mga3
+ Revision: 337923
- patch1: fix build with automake 1.13

* Fri Oct 12 2012 fwang <fwang> 1.8.0-2.mga3
+ Revision: 305031
- drop .la file

* Sun Jan 23 2011 pterjan <pterjan> 1.8.0-2.mga1
+ Revision: 35536
- imported package unac

